summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vliegendehuiskat2012-04-15 17:49:21 +0200
committer Erik Hanson2012-04-16 12:35:58 +0200
commit1accea9b4459f02fc43429530a9b7aef62cd4993 (patch)
treeeb981ddd4e8382f8cf81af18b33b05bb566ec30a
parent682007c6a4fa40ed8469c67d68d58ba9d1d96c0d (diff)
downloadslackbuilds-1accea9b4459f02fc43429530a9b7aef62cd4993.tar.gz
system/exfat-utils: Added (ExFat filesystem utilities)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/exfat-utils/README15
-rw-r--r--system/exfat-utils/exfat-utils.SlackBuild77
-rw-r--r--system/exfat-utils/exfat-utils.info10
-rw-r--r--system/exfat-utils/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/system/exfat-utils/README b/system/exfat-utils/README
new file mode 100644
index 0000000000..0ca499a017
--- /dev/null
+++ b/system/exfat-utils/README
@@ -0,0 +1,15 @@
+exfat-utils (ExFat module for FUSE)
+
+This project aims to provide a full-featured exFAT file system
+implementation for GNU/Linux other Unix-like systems as a FUSE
+module.
+
+Current status of the project: beta.
+
+This package contains the utilities
+
+Keep in mind, that it might be illegal to use this software in
+countries respecting US-Patents.
+
+This requires fuse (in slackware), scons and fuse-exfat (both
+available at sbo)
diff --git a/system/exfat-utils/exfat-utils.SlackBuild b/system/exfat-utils/exfat-utils.SlackBuild
new file mode 100644
index 0000000000..e790b6daf3
--- /dev/null
+++ b/system/exfat-utils/exfat-utils.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for fuse-exfat
+
+# Written by Vliegendehuiskat
+# E-mail: vliegendehuiskat [at] gmail [dot] com
+
+# This script is released in the public domain.
+# I am not responsible for any consequences that follow from the
+# incorrect use of this script.
+
+# Keep in mind, that it might be illegal to use this software in
+# countries respecting US-Patents.
+
+PRGNAM=exfat-utils
+VERSION=${VERSION:-0.9.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+scons install DESTDIR=$PKG/sbin/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/exfat-utils/exfat-utils.info b/system/exfat-utils/exfat-utils.info
new file mode 100644
index 0000000000..458e6d6f05
--- /dev/null
+++ b/system/exfat-utils/exfat-utils.info
@@ -0,0 +1,10 @@
+PRGNAM="exfat-utils"
+VERSION="0.9.6"
+HOMEPAGE="https://code.google.com/p/exfat/"
+DOWNLOAD="https://exfat.googlecode.com/files/exfat-utils-0.9.6.tar.gz"
+MD5SUM="6722b7a919b4924bc64f86bccfedb0a6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vliegendehuiskat"
+EMAIL="vliegendehuiskat [at] gmail [dot] com"
+APPROVED="dsomero"
diff --git a/system/exfat-utils/slack-desc b/system/exfat-utils/slack-desc
new file mode 100644
index 0000000000..37d4017e5b
--- /dev/null
+++ b/system/exfat-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+exfat-utils: exfat-utils (ExFat filesystem utilities)
+exfat-utils:
+exfat-utils: This project aims to provide a full-featured exFAT file system
+exfat-utils: implementation for GNU/Linux other Unix-like systems as a FUSE
+exfat-utils: module.
+exfat-utils:
+exfat-utils: This package contains the file-system utilities for use with
+exfat-utils: the ExFAT file system.
+exfat-utils:
+exfat-utils: Current status of the project: beta.
+exfat-utils: